Authorization (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.http.control, class: Authorization

Package org.apache.jmeter.protocol.http.control

# Class Authorization

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.protocol.http.control.Authorization

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `org.apache.jmeter.testelement.TestElement`

public class Authorization extends AbstractTestElement implements Serializable
This class is an Authorization encapsulator.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Authorization()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addConfigElement(ConfigElement config)`
  `boolean`
  `expectsModification()`
  `String`
  `getDomain()`
  `AuthManager.Mechanism`
  `getMechanism()`
  `String`
  `getPass()`
  `String`
  `getRealm()`
  `String`
  `getURL()`
  `String`
  `getUser()`
  `void`
  `setDomain(String domain)`
  `void`
  `setMechanism(AuthManager.Mechanism mechanism)`
  `void`
  `setPass(String pass)`
  `void`
  `setRealm(String realm)`
  `void`
  `setURL(String url)`
  `void`
  `setUser(String user)`
  `String`
  `toBasicHeader()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### Authorization

    public Authorization()

- ## Method Details

  - ### expectsModification

    public boolean expectsModification()

  - ### addConfigElement

    public void addConfigElement(ConfigElement config)

  - ### getURL

    public String getURL()

  - ### setURL

    public void setURL(String url)

  - ### getUser

    public String getUser()

  - ### setUser

    public void setUser(String user)

  - ### getPass

    public String getPass()

  - ### setPass

    public void setPass(String pass)

  - ### getDomain

    public String getDomain()

  - ### setDomain

    public void setDomain(String domain)

  - ### getRealm

    public String getRealm()

  - ### setRealm

    public void setRealm(String realm)

  - ### getMechanism

    public AuthManager.Mechanism getMechanism()

  - ### setMechanism

    public void setMechanism(AuthManager.Mechanism mechanism)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toBasicHeader

    public String toBasicHeader()